org.apache.catalina.ssi

## Class ExpressionParseTree

- java.lang.Object
- - org.apache.catalina.ssi.ExpressionParseTree

-     public class ExpressionParseTree
      extends Object

  Represents a parsed expression.
  Author:
    Paul Speed

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionParseTree(String expr, SSIMediator ssiMediator)` Creates a new parse tree for the specified expression.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `evaluateTree()` Evaluates the tree and returns true or false.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpressionParseTree

          public ExpressionParseTree(String expr,
                             SSIMediator ssiMediator)
                              throws ParseException

      Creates a new parse tree for the specified expression.
      Parameters:
        `expr` - The expression string
        `ssiMediator` - Used to evaluated the expressions
      Throws:
        `ParseException` - a parsing error occurred

  - ### Method Detail

    - #### evaluateTree

          public boolean evaluateTree()

      Evaluates the tree and returns true or false. The specified SSIMediator is used to resolve variable references.
      Returns:
        the evaluation result

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.